// lkf5glob.h : Declaration of the Clkf5glob

#ifndef __LKF5GLOB_H_
#define __LKF5GLOB_H_

#include "resource.h"       // main symbols


/////////////////////////////////////////////////////////////////////////////
// Clkf5glob
class ATL_NO_VTABLE Clkf5glob : 
	public CComObjectRootEx<CComSingleThreadModel>,
	public CComCoClass<Clkf5glob, &CLSID_lkf5glob>,
	public IDispatchImpl<Ilkf5glob, &IID_Ilkf5glob, &LIBID_LKFKDOCLib>
{

public:
	Clkf5glob();
	~Clkf5glob ();

DECLARE_REGISTRY_RESOURCEID(IDR_LKF5GLOB)

DECLARE_PROTECT_FINAL_CONSTRUCT()

BEGIN_COM_MAP(Clkf5glob)
	COM_INTERFACE_ENTRY(Ilkf5glob)
	COM_INTERFACE_ENTRY(IDispatch)
END_COM_MAP()

// Ilkf5glob
public:
	STDMETHOD(lkf_unload_stamm)(/*[out, retval]*/ long *retcode);
	STDMETHOD(lkf_set_global_inputpath)(BSTR path, /*[out, retval]*/ long *retval);
	STDMETHOD(get_Version)(BSTR* pVal);
	STDMETHOD(get_YearFirst)(LONG* pVal);
	STDMETHOD(get_YearLatest)(LONG* pVal);
};

#endif //__LKF5GLOB_H_
